/* DEFINICIÓN VARIABLES */
:root {
    --color-primary: #ffffff;
    --color-secondary: #04b4e0;
    
    --color-background: #f2f7f9;
    --color-transparent: transparent;
    
    --color-icon: #b5b6b7;
    --color-title: #222;
    --color-subtitle: #888;
    --color-text: #555;
    --color-border-reviews: #e5e6e7;
    --color-company: #a5a6a7;

    --color-background-certificate: #f5f5f5;
    --color-background-contact: #fcfcfc;
}

/* ESTILOS GENERALES */
html {
    font-size: 62.5%; /*Equivalente a 10 píxeles*/
}

body {
    width: 100%;
    height: 100%;
    font-family: 'Poppins', Helvetica, sans-serif;
    font-size: 1.5rem;
    background-color: var(--color-background);
    color: var(--color-text);
    overflow: hidden;
}

h1, h2, h3, h4, h5, h6 {
    
    color: var(--color-title);
}

/* IMAGEN DE FONDO */
body {
    background-image: url('../img/fondo.png');
    background-size: cover;
    background-repeat: no-repeat;
    background-position: 60px -120px;
}

/* ESTRUCTURA PRINCIPAL */
.layout {
    position: relative;
    min-width: 1290px;
    width: 75%;
    height: 80vh;
    min-height: 80vh;
    margin: 10vh auto;

    display: grid;
    grid-template-areas: 
        "aside content";
    grid-template-columns: 30% 70%;

    /* Sombra detrás del layout */
    border-radius: 4rem;
    box-shadow: 0 0 100px -5px rgba(0, 0, 0, 0.25);
}

/* BARRA LATERAL AZUL */
.layout__aside {
    grid-area: aside;
    z-index: 1;
    border-radius: 4rem 0 0 4rem;
    overflow: auto;
    overflow-x: hidden;
}

.aside__user-info {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;

    min-height: 100%;
    min-width: 30rem;

    background-color: var(--color-secondary);
    color: var(--color-primary);
}

.user-info__container-image {
    position: relative;
    display: inline-block;
    width: 18rem;
    margin-top: 7rem;
    z-index: 1;
}

.user-info__image {
    width: 100%;
    height: auto;
    background-color: var(--color-primary);
    border: 3px solid var(--color-primary);
    border-radius: 20rem;
}

.user-info__container-image::after {
    content: '';
    position: absolute;
    top: 5%;
    left: 5%;
    z-index: -1;
    width: 100%;
    height: 100%;
    background-image: -webkit-repeating-radial-gradient(center center, white, white 1px, transparent 0px, transparent 100%);
    background-size: 0.6rem 0.6rem;
    opacity: 0.4;
    border-radius: 30rem;
}

.user-info__name {
    margin-top: 2.6rem;
    color: var(--color-primary);
    font-size: 3.2rem;
    font-weight: normal;
}

.user-info__job {
    font-size: 1.7rem;
    font-weight: 200;
    color: var(--color-primary);
}

.user-info__links {
    margin-bottom: 3.6rem;

}

.links__social {
    margin-top: 2rem;
    text-align: center;

    display: flex;
    flex-direction: row;
}

.social__option {
    height: 3rem;
    width: 3rem;
    font-size: 1.8rem;
    line-height: 3.2rem;
    opacity: 0.9;
    border-radius: 3rem;
    transition: all 0.3s ease-in-out;
}

.social__option:hover {
    opacity: 1;
    background-color: rgba(0, 0, 0, 0.2);
    cursor: pointer;
}

.user-info__buttons {
    margin-top: 2rem;
    margin-bottom: 4rem;
}

.user-info__btn {
    border: 02px solid var(--color-primary);
    padding: 3rem;
    padding-top: 1.3rem;
    padding-bottom: 1.3rem;
    border-radius: 3.2rem;
    color: var(--color-primary);
    box-shadow: 0 10px 10px -8px rgba(0, 0, 0, 0.25);
    transition: all 0.3s ease-in-out;
}

.user-info__btn:hover {
    background-color: var(--color-primary);
    color: var(--color-secondary);
    border: 1px solid #ccc;
    cursor: pointer;
}

.user-info__footer {
    position: absolute;
    bottom: 2rem;
    width: 100%;
    padding: 1.5rem;
    color: var(--color-primary);
    font-size: 1.4rem;
    text-align: center;
    z-index: 1;
}



/* CONTENEDOR PRINCIPAL */
.layout__content {
    grid-area: content;
    height: 100%;
    min-height: 100%;

    background-color: var(--color-secondary);
    border-radius: 0 10rem 10rem 0;
}   

.content__page {
    min-height: 100%;
    background-color: var(--color-primary);
    border-radius: 3.2rem;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}


.area{
    background: var(--color-primary);  
    background: -webkit-linear-gradient(to left, #8f94fb, #4e54c8);  
}

.circles{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    overflow: hidden;
}

.circles li{
    position: absolute;
    display: block;
    list-style: none;
    width: 20px;
    height: 20px;
    background: var(--color-secondary);
    animation: animate 25s linear infinite;
    bottom: -150px;
    z-index: 2;
}

.circles li:nth-child(1){
    left: 25%;
    width: 80px;
    height: 80px;
    animation-delay: 0s;
}


.circles li:nth-child(2){
    left: 10%;
    width: 20px;
    height: 20px;
    animation-delay: 2s;
    animation-duration: 12s;
}

.circles li:nth-child(3){
    left: 70%;
    width: 20px;
    height: 20px;
    animation-delay: 4s;
}

.circles li:nth-child(4){
    left: 40%;
    width: 60px;
    height: 60px;
    animation-delay: 0s;
    animation-duration: 18s;
}

.circles li:nth-child(5){
    left: 65%;
    width: 20px;
    height: 20px;
    animation-delay: 0s;
}

.circles li:nth-child(6){
    left: 75%;
    width: 110px;
    height: 110px;
    animation-delay: 3s;
}

.circles li:nth-child(7){
    left: 35%;
    width: 150px;
    height: 150px;
    animation-delay: 7s;
}

.circles li:nth-child(8){
    left: 50%;
    width: 25px;
    height: 25px;
    animation-delay: 15s;
    animation-duration: 45s;
}

.circles li:nth-child(9){
    left: 20%;
    width: 15px;
    height: 15px;
    animation-delay: 2s;
    animation-duration: 35s;
}

.circles li:nth-child(10){
    left: 85%;
    width: 150px;
    height: 150px;
    animation-delay: 0s;
    animation-duration: 11s;
}

.circle {
    cursor: pointer;
}



@keyframes animate {

    0%{
        transform: translateY(0) rotate(0deg);
        opacity: 1;
        border-radius: 0;
    }

    100%{
        transform: translateY(-1000px) rotate(720deg);
        opacity: 0;
        border-radius: 50%;
    }

}

.page__name {
    font-size: 6rem;
    margin-bottom: 1rem;
}

.page__job {
    font-size: 2.1rem;
    font-weight: lighter;
    color: var(--color-subtitle);
}

.page__points {
    font-family: 'orbitron', Helvetica, sans-serif;
    font-size: 1.3rem;
}

/* MENÚ DE NAVEGACIÓN LATERAL */

.layout__menu {
    display: block;
    position: absolute;
    top: 0;
    right: -12rem;
    min-width: 11rem;
    background-color: var(--color-transparent);
}

.menu__list {
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    width: 60%;
    min-height: 34rem;
    background-color: var(--color-primary);
    box-shadow: 0 0 3rem -0.5rem rgba(0, 0, 0, 0.15);
    border-radius: 6rem;
    padding: 2rem 0;
    margin-left: 2.5rem;
    transition: all 0.3s ease-in-out;
}

.menu__option {
    display: block;
    width: 100%;
    text-align: center;
}

.menu__option:hover .menu__icon,
.menu__link--active .menu__icon{
    color: var(--color-secondary);
} 

.switcher__btn {
    cursor: pointer;
}

.menu__option-dark--theme {
    display: block;
    justify-content: center;
    align-items: center;
}

.menu__option-light--theme {
    display: none;
}

.menu__icon svg{
    fill: var(--color-icon);
    width: 2.8rem; 
    margin-bottom: -1rem;
}

.menu__option-dark--theme:hover .menu__icon  svg,
.menu__option-light--theme:hover .menu__icon  svg {
    fill: var(--color-secondary);
    
}

.menu__icon {
    color: var(--color-icon);
    font-size: 2.8rem;
    transition: all 0.3s ease-in-out;
}

.menu__option-dark--theme:hover .menu__overlay {
    opacity: 1;
    right: 100%;
    border-radius: 0 0 0 2rem;
}

.menu__option-light--theme:hover .menu__overlay {
    opacity: 1;
    right: 100%;
    border-radius: 0 0 0 2rem;
}

.menu__overlay {
    position: absolute;
    right: 0;
    margin-top: -3.1rem;
    opacity: 0;
    padding: 0.5rem 1rem;
    display: block;
    color: black;
    background-color: var(--color-secondary);
    white-space: nowrap;
    transition: all 0.3s ease-in-out;
}

.menu__option:hover .menu__overlay {
    opacity: 1;
    right: 100%;
    border-radius: 0 0 0 2rem;
    
}
    /* MIS COLORES IMPORTANTE! */
/* .menu__list:hover {
    background-color: var(--color-title);
}
.menu__list:hover .menu__icon{
color: greenyellow;
} */

/* ESTILOS GENERALES SOBRE MI Y OTRAS PAGINAS */
.content__about,
.content__resume,
.content__portfolio,
.content__blog,
.content__contact {
    display: block;    
    height: 100%;
    min-height: 100%;
    padding: 6rem;
    padding-right: 3rem;
    overflow: auto;
}

.about__header,
.resume__header,
.portfolio__header,
.blog__header,
.contact__header {
    display: inline-block;
    margin-bottom: 4.5rem;
}

.about__title,
.resume__title,
.portfolio__title,
.blog__title,
.contact__title {
    font-size: 3.2rem;
    position: relative;
}

.about__title::after,
.resume__title::after,
.portfolio__title::after,
.blog__title::after,
.contact__title::after {
    content: '';
    position: absolute;
    top: 2rem;
    right: -2.5rem;
    width: 5rem;
    height: 3rem;
    background-image: -webkit-radial-gradient(center center, var(--color-secondary), var(--color-secondary) 1px, transparent 0px, transparent 100%);
    background-size: 6px 6px;
    opacity: 0.4;
    transform: skew(-18deg);

}

.title__color,
.subtitle__color {
    color: var(--color-secondary);
}

/* INFORMACIÓN PERSONAL */

.about__personal-info {
    display: flex;
    flex-direction: row;
    width: 100%;
    margin-bottom: 5rem;
}

.personal-info__bio {
    flex-basis: 56%;
}

.personal-info__description {
    font-size: 1.5rem;
    line-height: 2.4rem;
}

.personal-info__data {
    flex-basis: 44%;
    padding: 0 1.5rem;
}

.personal-info__option {
    margin-bottom: 1rem;
}

.personal-info__title {
    margin-right: 0.5rem;
    color: var(--color-secondary);
    font-weight: bold;
}

.personal-info__value a {
    display: inline-block;
    color: blue;
}

.personal-info__value a:hover {
    color: var(--color-secondary);
    transform: scaleY(1.2);
    text-decoration: underline;
}

.personal-info__value i svg{
    display: inline-block;
    fill: var(--color-secondary);
    margin-bottom: -1.2rem;
    padding-left: 1rem;
    width: 35px;
    height: 35px;
}

/* SERVICIOS GENERALES COMPARTIDOS */
.about__services,
 .about__reviews,
 .about__clients,
 .about__prices,
 .about__extra{
    width: 100%;
    margin-bottom: 3rem;
}

.services__header,
.reviews__header,
.clients__header,
.prices__header,
.extra__header,
.resume__subheader,
.contact__form-header {
    display: inline-block;
    padding-right: 1.2rem;
    margin-bottom: 2.5rem;
    position: relative;
}

.services__title,
.reviews__title,
.clients__title,
.prices__title,
.extra__title,
.resume__subtitle,
.form-header__title {
    font-size: 2.1rem;
}

.services__title::after,
.reviews__title::after,
.clients__title::after,
.prices__title::after,
.extra__title::after,
.resume__subtitle::after,
.form-header__title::after {
    content: '';
    position: absolute;
    top: 1.5rem;
    right: 0;
    width: 3rem;
    height: 2rem;
    background-image: -webkit-radial-gradient(center center, var(--color-secondary), var(--color-secondary) 1px, transparent 0px, transparent 100%);
    background-size: 6px 6px;
    opacity: 0.5;
    transform: skew(-18deg);
}

.services__container {
    width: 100%;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
}

.services__service {
    flex-basis:  calc(50% - 3rem);
    margin-right: 3rem;
    margin-bottom: 2.5rem;
    background-color: var(--color-primary);
        border-radius: 1rem;
        padding: 1rem;
        border: 1px solid var(--color-secondary);
}

.service__icon .fas {
    color: var(--color-secondary);
    font-size: 3.8rem;
}

.service__title {
    font-size: 1.8rem;
    margin: 1rem 0;
}

.service__description {
    font-size: 1.5rem;
    text-align: start;
}

/* REVIEWS */
.reviews__container {
    width: 100%;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
}

.reviews__review {
    flex-basis: calc(100% - 3rem);

    border: 2px solid var(--color-border-reviews);
    border-radius: 2rem;
    padding-top: 0;
    padding-right: 2.5rem;
    padding-left: 2.5rem;
    padding-bottom: 1.5rem;
    margin-right: 3rem;
    margin-top: 4.5rem;
    margin-bottom: 1rem;
}

.reviews__image-container {
    width: 100%;
}

.review__image {
    max-width: 9rem;
    max-height: 9rem;
    border-radius: 9rem;
    margin: 0 auto;
    margin-top: -4.5rem;
    margin-bottom: 2rem;
    box-shadow: 0 10px 10px -4px rgba(0, 0, 0, 0.25);
}

.review__description {
    margin-bottom: 1rem;
}

.review__text {
    font-size: 1.5rem;
    line-height: 2.4rem;
}

.review__author {
    margin-top: 2rem;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

.review__name {
    margin-bottom: 0.5rem;
    font-size: 1.5rem;
}

.review__company {
    color: var(--color-company);
    font-weight: 300;
    font-size: 1.3rem;
}

.review__icon {
    font-size: 3rem;
    opacity: 0.5;
    color: var(--color-secondary);
}

/* CLIENTES */
.about__clients {
    width: 100%;
    margin-bottom: 2rem;
}

.clients__header {
    margin-bottom: 3rem;
}

.clients__container {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

.clients__link {
    display: block;
    width: 100%;
    opacity: 0.7;
    transition: all 0.3s linear;
}

.clients__link:hover {
    background-color: #04b4e0;
    border-radius: 30rem;
    opacity: 1;
    box-shadow: inset 0 0 0 0.2rem var(--color-title);
    transform: scale(1.2);
}

.clients__image {
    width: 14.5rem;
    height: 6.45rem;
    padding: 1.5rem;
    margin-bottom: 1.5rem;
}

/* PRECIOS */
.prices__container {
    margin-bottom: 5rem;

    display: flex;
    flex-direction: row;
}

.prices__box {
    flex-basis: 50%;
    height: 100%;
    margin-right: 3rem;
    padding: 3rem;
    border: 2px solid var(--color-border-reviews);
    border-radius: 1.5rem;
    text-align: center;
    transition: all 0.3s ease-in-out;
}

.prices__box:last-of-type {
    margin-right: 0rem;
}

.prices__box:hover,
.extra__info:hover {
    box-shadow: 0 18px 24px -5px rgba(0, 0, 0, 0.15);
    transform: translateY(-1rem);
}

.prices__subtitle {
    margin-bottom: 3rem;
}

.prices__text {
    position: relative;
    display: inline-block;
}

.prices__box:hover .prices__text::after {
    content: '';
    position: absolute;
    left: 0;
    right: 0;
    bottom: -3px;
    height: 0.2rem;
    background-color: var(--color-secondary);
}

.prices__price {
    padding-bottom: 1rem;
}

.prices__number {
    display: block;
    font-size: 4.2rem;
    line-height: 1;
    color: var(--color-title);
}

.prices__advice {
    color: var(--color-subtitle);
    display: block;
}

.prices__buy {
    padding-top: 2.5rem;
    padding-bottom: 3rem;
}

.prices__btn {
    display: inline-block;
    padding: 1.2rem;
    border: 2px solid var(--color-border-reviews);
    box-shadow: 0 10px 10px -8px var(--color-border-reviews);
    border-radius: 3rem;
    transition: all 0.3s ease-in-out;
}

.prices__btn:hover {
    border: 2px solid var(--color-secondary);
    background-color: var(--color-secondary);
    color: var(--color-primary);
}

.prices__reward {
    font-size: 1.4rem;
    padding: 1rem 0.6rem;
    text-justify: inter-ideograph;
}

/* INFORMACION EXTRA */
.extra__container {
    width: 100%;
    margin-top: 1.5rem;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    flex-wrap: wrap;

}

.extra__info {
    flex-basis: 30%;
    padding: 2.5rem 1rem;
    border: 2px solid var(--color-border-reviews);
    border-radius: 1rem;
    text-align: center;
    transition: all 0.3s ease-in-out;
}

.extra__info:hover {
    transform: translateY(0.5rem);
}

.extra__icon {
    font-size: 3.3rem;
    color: var(--color-secondary);
    margin-bottom: 1rem;
}

.extra__subtitle {
    font-size: 1.5rem;
    margin: 1.5rem;
}

.extra_quantity {
    display: block;
    margin: 1.5rem 1;
    margin-bottom: 0;
    font-size: 3.6rem;
    line-height: 5rem;
    color: var(--color-subtitle);
}

/* CURRICULUM */
.resume__container {
    width: 100%;
    display: flex;
    flex-direction: row;
}

/* CURRICULUM IZQUIERDA */
.resume__left {
    flex-basis: 58%;
    margin-right: 1.5rem;
}

.resume__timelines {
    margin-bottom: 5rem;
}

.timelines__timeline {
    position: relative;
    width: 100%;
    margin-bottom: 1.5rem;
    display: flex;
    flex-direction: row;
}

.timeline__header {
    flex-basis: 30%;
    text-align: right;
    padding-right: 2.5rem;
}

.timeline__year {
    margin: 0.3rem 0;
    line-height: 1.9rem;
    font-size: 1.4rem;
}

.timeline__center {
    display: block;
    font-size: 1.3rem;
    font-weight: 300;
    color: var(--color-company);
}

.timeline__description {
    width: 70%;
    padding-left: 2.5rem;
    padding-right: 1.5rem;
}

.timeline__title {
    font-size: 1.6rem;
    margin-bottom: 0.3rem;
}

.timeline__text {
    font-size: 1.4rem;
    margin-bottom: 1rem;
    line-height: 2.2rem;
}

.timeline__divider {
    position: absolute;
    top: 0;
    left: 30%;
    bottom: -18px;
    width: 1px;
    height: auto;
    background-color: var(--color-background-scrollbar);
}

.timeline__divider::before {
    content: '';
    position: absolute;
    top: 0.4rem;
    left: -0.8rem;
    width: 1.7rem;
    height: 1.7rem;
    background-color: var(--color-secondary);
    border-radius: 50%;
    opacity: 0.25;
}

.timeline__divider::after {
    content: '';
    position: absolute;
    top: 0.8rem;
    left: -0.4rem;
    width: 0.9rem;
    height: 0.9rem;
    background-color: var(--color-primary);
    border-radius: 50%;
    border: 2px solid var(--color-secondary);
    opacity: 1;
}

/* CURRICULUM DERECHA*/
.resume__right {
    flex-basis: 41%;
    padding: 0 1.5rem;
}

.resume__skills {
    width: 100%;
    margin-bottom: 3rem;
}

.skills__title {
    position: relative;
    display: flex;
    justify-content: space-between;
}

.skills__text {
    font-size: 1.6rem;
    line-height: 1.4rem;
    margin-bottom: 0.4rem;
}

.skills__number {
    font-size: 1.1rem;
    line-height: 1.4rem;
    margin-bottom: 0.4rem;
    color: var(--color-subtitle);
}

.skills__progressbar {
    height: 1rem;
    border: 1px solid var(--color-secondary);
    border-radius: 1rem;
    background-color: var(--color-primary);
    margin-bottom: 1.5rem;
}

.skills__percentage {
    height: 0.8rem;
    background-color: var(--color-secondary);
    border: 2px solid var(--color-primary);
    border-radius: 1rem;
}

.skills__percentage--p1 {width: 70%;}
.skills__percentage--p2 {width: 40%;}
.skills__percentage--p3 {width: 60%;}
.skills__percentage--p4 {width: 60%;}
.skills__percentage--p5 {width: 97%;}
.skills__percentage--p6 {width: 45%;}
.skills__percentage--p7 {width: 30%;}
.skills__percentage--p8 {width: 80%;}


/* README DE SKILLS */

.skills__readme {
    font-size: 1.8rem;
    color: var(--color-secondary);
}

.skills__readme:hover {
    cursor: pointer;
    color: black;
    transform: scale(1.2);    
}

.skills__description {
    position: fixed;
    top: 150px;
    right: 290px;
    width: 19%;
    margin-top: -3.1rem;
    padding: 0.5rem 1rem;
    z-index: 3;
    opacity: 0;
    color: black;
    border-radius: 1rem;
    box-shadow: 0 10px 10px -8px rgba(0, 0, 0, 0.25) inset;
    background-color: var(--color-secondary);
    transition: all 0.3s ease-in-out;
    pointer-events: none;
}



.description__text {
    color: var(--color-title);
    cursor: default;
}

/* CONOCIMIENTOS */
.knowledges__list {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
}

.knowledges__options {
    padding: 0.4rem 1rem;
    margin: 0.3rem;
    font-size: 1.3rem;
    background-color: var(--color-secondary);
    border-radius: 0.3rem;
    color: var(--color-primary);
}

.certificates__container {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 3rem;
}

.certificates__certificate {
    flex-basis: calc(50% - 1.5rem);
    border: 2px solid var(--color-border-reviews);
    border-radius: 0.8rem;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    border-radius: 0 0 1rem 1rem;
    border: 1px solid rgba(0, 0, 0, 0.15);
    box-shadow: 10px 10px 10px  rgba(0, 0, 0, 0.25);

}

.certificate__logo {
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    background-color: var(--color-background-certificate);
    padding: 1.5rem;
    border: 1px solid var(--color-secondary);
}

.certificate__content {
    background-color: var(--color-secondary);
    padding: 2 2.5rem;
    border-radius: 0 0 1rem 1rem;
}

.certificate__title {
    margin-top: 1.5rem;
    font-size: 1.6rem;
    margin-bottom: 0.5rem;
}

.certificate__id {
    display: block;
    margin-bottom: 0.3rem;
    font-size: 1.3rem;
    color: var(--color-title);
}

.certificate__url {
    display: block;
    margin-top: 1rem;
    margin-bottom: 0.3rem;
    font-size: 1.3rem;
    font-weight: bold;
    color: var(--color-title);
}

.certificate__url a {
    display: block;  
    margin-top: 0.5rem;  
    color: blue;
    font-weight: normal;
}

.certificate__url a:hover {
    
    color: white;
}

.certificate__date {
    display: inline-block;
    margin: 1.5rem;
    margin-bottom: 0.3rem;
    color: black;
}

.certificate__duration {
    display: inline-block;
    margin: 1.5rem;
    color: black;
}

/* PORTFOLIO */
.portfolio__navbar {
    margin-bottom: 3rem;
}

.portfolio__menu {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 2rem;
}

.portfolio__option {
    font-size: 1.3rem;
    opacity: 0.7;
}

.portfolio__option--active {
    opacity: 1;
    font-weight: bold;
}

.portfolio__link {
    cursor: pointer;
}

.portfolio__link:hover {
    color: var(--color-secondary);
    text-shadow: 0 0 1px rgba(0, 0, 0, 0.25);
}

.portfolio__gallery {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
}

.gallery__item {
    display: none;
    position: relative;
    flex-basis: 33%;
    padding: 0.7rem;    
}

.gallery__item.show {
    display: block;
}

.gallery__container--image {
    overflow: hidden;
}

.gallery__image {
    height: 187.15px;
    transition: all 0.3s ease-in-out;
    
}

.gallery__item:hover .gallery__image {
    transform: scale(1.2);    
}

.gallery__title {
    font-size: 1.6rem;
    padding: 1.5rem 0;
    font-weight: bold;
}

.gallery__item:hover .gallery__title {
    color: var(--color-secondary);
    transform: skew(-10deg);
}

.gallery__icon {
    position: absolute;
    top: 1.5rem;
    right: 1.5rem;
    width: 3rem;
    height: 3rem;
    font-size: 1.6rem;
    text-align: center;
    line-height: 3rem;
    background-color: var(--color-primary);
    color: var(--color-secondary);
    transition: all 450ms ease-in-out;
    opacity: 0;
    border-radius: 3rem;
}

.gallery__category {
    position: absolute;
    top: 1.5rem;
    left: 1.5rem;
    padding: 0.2rem 0.7rem;
    font-size: 1.1rem;
    background-color: var(--color-primary);
    color: var(--color-text);
    transition: all 450ms ease-in-out;
    opacity: 0;
    border-radius: 3rem;
    cursor: default;
}

.gallery__item:hover .gallery__image{
    filter: blur(5px);
}

.gallery__item:hover .gallery__icon,
.gallery__item:hover .gallery__category{
    opacity: 1;
    z-index: 2;
}

.blur-overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 98%;
    height: 77%;
    background-color: rgba(255, 255, 255, 0.219); /* Color del desenfoque */
    z-index: 1;
    pointer-events: none; /* Para que los eventos del mouse pasen a través de la capa */
    opacity: 0; /* Por defecto, la capa está invisible */
    transition: opacity 0.3s ease; /* Transición suave de la opacidad */
}

.gallery__item:hover .blur-overlay {
    opacity: 1; /* Hacer visible la capa cuando el elemento está en hover */
}
.gallery__item:hover .badge {
    transform: skewY(0) translateY(0);
}

.badge {
    position: absolute;
    top: -6%;
    right: 50%;
    width: 60px;
    height: 20px;
    background-color: var(--color-secondary);
    border-radius: 10px;
    transform: skewY(-10deg) translateY(20px);
    transition: all 400ms ease-in-out;
}

.badge span {
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    font-size: 1.6rem;
    color: black;
    text-align: center;
}

.img-work {
    width: 100%;
}

.redes-sociales--work {
    display: none;
    text-align: start;
}

.redes-sociales--icon {
    display: inline-block;
    width: 10rem;
    margin: 0 auto;
    margin-left: 2rem;
    
}

/* BLOG */
.blog__articles {
    margin-bottom: 2.5rem;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
}

.articless__article {
    flex-basis: 50%;
    padding: 0 1.5rem;
    padding-bottom: 3.5rem;
}

.article__top {
    position: relative;
    overflow: hidden;
}

.article__category {
    position: absolute;
    top: 1rem;
    left: 1rem;
    font-size: 1.1rem;
    padding: 0.1rem 0.7rem;
    line-height: 2rem;
    border-radius: 3rem;
    background-color: var(--color-primary);
    color: var(--color-text);
    cursor: default;
    z-index: 2;
}

.article__mask {
    width: 100%;
    height: 18.5rem;
    overflow: hidden;
}

.article__image {
    display: block;
    z-index: 1;
    transition: all 300ms ease-in-out;
}

.article__top:hover .article__image {
    transform: scale(1.1);
}

.article__logo {
    transition: 200ms ease-in-out;
    opacity: 0;
}

.article__icon {
    position: absolute;
    top: calc(50% - 2.2rem);
    left: calc(50% - 2.2rem);
    width: 4.4rem;
    font-size: 4.4rem;
    text-align: center;
    color: var(--color-primary);
}

.article__top:hover .article__logo {
    opacity: 1;
}

.article__bottom {
    margin: 0;
    padding: 2.1rem;
    border: 0.1rem solid var(--color-border-reviews);
    border-top: 0;
}

.article__date {
    display: block;
    font-size: 1.1rem;
    line-height: 1.2rem;
    font-weight: 300;
    color: var(--color-subtitle);
}

.article__title {
    font-size: 1.8rem;
    margin-top: 0.5rem;
}

/* PÁGINA DE CONTACTO */
.contact__container {
    display: flex;
    flex-direction: row;
}

.contact__info {
    flex-basis: 33%;
    padding: 0 1.5rem;
}

.contact__data {
    width: 100%;
    margin-bottom: 1.5rem;
    padding: 2rem 1rem;
    text-align: center;
    background-color: var(--color-background-contact);
    border: 1px solid var(--color-border-reviews);
}

.contact__icon {
    font-size: 3.3rem;
    color: var(--color-secondary);
}

.contact__subtitle {
    font-size: 1.5rem;
    margin-top: 1rem;
}

.contact__form-box {
    flex-basis: 66%;
    padding: 0 1.5rem;
}

.form__container {
    display: flex;
    flex-direction: row;
}

.form__left {
    flex-basis: 47%;
    margin-right: 1.5rem;
}

.form__group {
    position: relative;
    margin-bottom: 2.5rem;
}

.form__input {
    position: relative;
    width: 100%;
    height: 4.2rem;
    display: block;
    border: 0.2rem solid var(--color-border-reviews);
    border-radius: 0.5rem;
    font-size: 1.5rem;
    padding: 1rem 1.2rem;
    outline: none;
    box-shadow: 0 1rem 1rem -8px rgba(0, 0, 0, 0.10);
    background: 0 0;
    background-color: transparent;
    z-index: 1;
    line-height: 2.1rem;
}

.form__input:focus {
    border: 0.2rem solid var(--color-secondary);
}

.form__label {
    position: absolute;
    top: 1rem;
    left: 1.5rem;
    color: var(--color-company);
    transition: all 300ms ease-in-out;
    pointer-events: none;
}

.form__input:focus~label,
.form__input:not(:placeholder-shown)~label {
    top: -2rem;
    left: 0;
    z-index: 1;
    font-size: 1.3rem;
    color: var(--color-secondary);
}

.form__input::-webkit-input-placeholder {
    color: transparent;
}

.form__input::-moz-placeholder {
    color: transparent;
}

.form__right {
    flex-basis: 50%;
    max-width: 50%;
    max-height: 100%;
}

.form__group--textarea {
    height: 100%;
}

.form__input--textarea {
    display: block;
    height: 100%;
    resize: none;
    border-radius: 1rem;
}

.form__button {
    padding: 1rem 3rem;
    font-size: 1.5rem;
    border: 0.2rem solid var(--color-secondary);
    color: var(--color-title);
    background-color: var(--color-primary);
    border-radius: 3rem;
    box-shadow: 0 1rem 1rem -8px rgba(0, 0, 0, 0.25);
    cursor: pointer;
    transition: all 300ms ease-in-out;
}

.form__button:hover {
    background-color: var(--color-secondary);
    color: var(--color-primary);
}

.contact__map {
    width: 100%;
    min-height: 15rem;
    margin-bottom: 3.5rem;
    overflow: hidden;
}

.contact__iframe {
    width: 100%;
    height: 14rem;
}

.theme-transition {
    transition: opacity 0.5s ease-in-out; /* Define la transición de opacidad */
}

.menu__option-light--theme,
.menu__option-dark--theme {
    opacity: 1; /* Inicialmente oculta los elementos */
}

